<%@page language="java" import="org.alltimeflashdreamer.filelister.*,org.alltimeflashdreamer.util.StringUtils,java.text.DateFormat,java.util.Date" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );
	try {
		boolean bHasResults = ( fileListerConfig.getFileLister().getResultCount() > 0 );
%>
<html>

	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
		<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
		<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
		<meta http-equiv="expires" content="0" />
		<link rel="icon" href="images/filelister.ico" type="image/ico" />
		<link rel="shortcut icon" href="images/filelister.ico" />
		<link rel="stylesheet" type="text/css" href="filelister.css" />
		<title>FileLister: View Results - All Time Flash Dreamer</title>
	</head>
	<script language="JavaScript">
			function doResort( target )
			{
				//DEBUG: alert( 'Link target: ' + target );
				parent.document.location.href = target;
			}

	</script>

	<body text="black">
		<center>
			<table border="0" cellpadding="" cellspacing="0" width="90%">
			    <tr>
				    <td width="50%" align="left">
						<font class="AF2"><%= fileListerConfig.getConfigDescriptor() %></font>
					</td>
				    <td width="50%" align="right">
					    <img src="<%= JSPMethods.getImageSrc( "logo" ) %>" alt="FileLister">
					</td>
				</tr>
			</table>
			<form name="downloadform" action="<%= JSPMethods.getActionTag( fileListerConfig ) %>" method="post">
				<table border="0" cellpadding="5" cellspacing="0" width="90%">
					<tr>
						<th width="7%" class="THC" align="left" valign="top" height="25" nowrap="nowrap">
							<font class="AF">Entry #</font>
						</th>
						<th width="5%" class="THC" align="center" valign="top" nowrap="nowrap">
							<span onClick="<%= ( bHasResults ) ? "doResort( '" + JSPMethods.getColumnLink( fileListerConfig, "type" ) + "' )" : "" %>">
							   <font class="AFUC">&nbsp;</font></span>
							<% if ( fileListerConfig.isSortCriterium( "type" ) ) { %>
							    <% if ( bHasResults ) { %>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, fileListerConfig.getInverseSortOrder( "type" ) ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( fileListerConfig.getSortDirection( "type" ) ) %>" alt="<%= fileListerConfig.getSortDirection( "type" ) %>" border="0" /><% if ( bHasResults ) { %></a>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, "typenone" ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( new Integer( fileListerConfig.getSortPriority( "type" ) ).toString() ) %>" alt="<%= "Sort Priority " + fileListerConfig.getSortPriority( "type" ) %>" border="0" />
							    <% if ( bHasResults ) { %></a><% } %>
							<% } %>
						</th>
						<th width="23%" class="THC" align="left" valign="top" nowrap="nowrap">
							<span onClick="<%= ( bHasResults ) ? "doResort( '" + JSPMethods.getColumnLink( fileListerConfig, "name" ) + "' )" : "" %>">
							   <font class="AFC">Name</font></span>
							<% if ( fileListerConfig.isSortCriterium( "name" ) ) { %>
							    <% if ( bHasResults ) { %>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, fileListerConfig.getInverseSortOrder( "name" ) ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( fileListerConfig.getSortDirection( "name" ) ) %>" alt="<%= fileListerConfig.getSortDirection( "name" ) %>" border="0" /><% if ( bHasResults ) { %></a>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, "namenone" ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( new Integer( fileListerConfig.getSortPriority( "name" ) ).toString() ) %>" alt="<%= "Sort Priority " + fileListerConfig.getSortPriority( "name" ) %>" border="0" />
							    <% if ( bHasResults ) { %></a><% } %>
							<% } %>
						</th>
						<th width="35%" class="THC" align="left" valign="top" nowrap="nowrap">
							<span onClick="<%= ( bHasResults ) ? "doResort( '" + JSPMethods.getColumnLink( fileListerConfig, "directory" ) + "' )" : "" %>">
							   <font class="AFC">Location</font></span>
							<% if ( fileListerConfig.isSortCriterium( "directory" ) ) { %>
							    <% if ( bHasResults ) { %>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, fileListerConfig.getInverseSortOrder( "directory" ) ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( fileListerConfig.getSortDirection( "directory" ) ) %>" alt="<%= fileListerConfig.getSortDirection( "directory" ) %>" border="0" /><% if ( bHasResults ) { %></a>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, "directorynone" ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( new Integer( fileListerConfig.getSortPriority( "directory" ) ).toString() ) %>" alt="<%= "Sort Priority " + fileListerConfig.getSortPriority( "directory" ) %>" border="0" />
							    <% if ( bHasResults ) { %></a><% } %>
							<% } %>
						</th>
						<th width="10%" class="THC" align="right" valign="top" nowrap="nowrap">
							<span onClick="<%= ( bHasResults ) ? "doResort( '" + JSPMethods.getColumnLink( fileListerConfig, "size" ) + "' )" : "" %>">
							   <font class="AFC">Size</font></span>
							<% if ( fileListerConfig.isSortCriterium( "size" ) ) { %>
							    <% if ( bHasResults ) { %>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, fileListerConfig.getInverseSortOrder( "size" ) ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( fileListerConfig.getSortDirection( "size" ) ) %>" alt="<%= fileListerConfig.getSortDirection( "size" ) %>" border="0" /><% if ( bHasResults ) { %></a>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, "sizenone" ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( new Integer( fileListerConfig.getSortPriority( "size" ) ).toString() ) %>" alt="<%= "Sort Priority " + fileListerConfig.getSortPriority( "size" ) %>" border="0" />
							    <% if ( bHasResults ) { %></a><% } %>
							<% } %>
						</th>
						<th width="20%" class="THC" align="right" valign="top" nowrap="nowrap">
							<span onClick="<%= ( bHasResults ) ? "doResort( '" + JSPMethods.getColumnLink( fileListerConfig, "lastmodified" ) + "' )" : "" %>">
							   <font class="AFC">Last Modified</font></span>
							<% if ( fileListerConfig.isSortCriterium( "lastmodified" ) ) { %>
							    <% if ( bHasResults ) { %>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, fileListerConfig.getInverseSortOrder( "lastmodified" ) ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( fileListerConfig.getSortDirection( "lastmodified" ) ) %>" alt="<%= fileListerConfig.getSortDirection( "lastmodified" ) %>" border="0" /><% if ( bHasResults ) { %></a>
								<a href="<%= JSPMethods.getNavigationLink( fileListerConfig, "lastmodifiednone" ) %>" target="_top">
								<% } %>
									<img src="<%= JSPMethods.getImageSrc( new Integer( fileListerConfig.getSortPriority( "lastmodified" ) ).toString() ) %>" alt="<%= "Sort Priority " + fileListerConfig.getSortPriority( "lastmodified" ) %>" border="0" />
							    <% if ( bHasResults ) { %></a><% } %>
							<% } %>
						</th>
					</tr>
				<%  if ( fileListerConfig.getFileLister().getResultCount() > 0 )
					{
						//gets each resulting AND visible FileListerEntry instance and fills
						//one repeatable table row with it. Tasks are:
						//- fill in the indexes of the entries
						//- set zip checkbox' attributes or hide it, depending on the settings
						//- set images for file or folder entries
						//- set entry name and embed it in an appropriate link
						//- set entry location and embed it in an appropriate link
						//- set formatted size information
						//- set formatted date information
						FileListerEntry[] visibleEntries = fileListerConfig.getFileLister().getVisibleFileListerEntries();
						DateFormat df = DateFormat.getDateTimeInstance( DateFormat.SHORT, DateFormat.MEDIUM );
						int iStartIndex = fileListerConfig.getStartIndex();
						for ( int i = 0; i < visibleEntries.length; i++ )
						{ %>
						<tr>
							<td align="center" width="7%">
								<font class="AF2"><%= ( i + iStartIndex + 1 ) %>&nbsp;</font>
								<% if ( fileListerConfig.isAllowedToZip() ) { %>
									<input type="checkbox" name="download" value="<%= ( i + iStartIndex ) %>" <%= ( visibleEntries[i].isSelectedForZip() ) ? "checked=\"on\"" : "" %> />
								<% } %>
							</td>
							<td align="center" width="5%">
								<a href="<%= JSPMethods.getNameColumnLink( visibleEntries[i], fileListerConfig ) %>">
									<img src="<%= ( visibleEntries[i].isDirectory() ) ? JSPMethods.getImageSrc( "folder" ) : JSPMethods.getImageSrc( "file" ) %>" alt="<%= ( visibleEntries[i].isDirectory() ) ? "Folder" : "File" %>" border="0" width="16" height="16" /></a>
							</td>
							<td align="left">
								<a href="<%= JSPMethods.getNameColumnLink( visibleEntries[i], fileListerConfig ) %>">
									<font class="AF2"><%= visibleEntries[i].getName() %></font></a>
							</td>
							<td align="left">
								<a href="<%= JSPMethods.getDirectoryColumnLink( visibleEntries[i], fileListerConfig ) %>">
									<font class="AF2"><%= fileListerConfig.getDirectoryOutput( visibleEntries[i].getDirectory() ) %></font></a>
							</td>
							<td align="right">
								<font class="AF2"><%= JSPMethods.formatSize( visibleEntries[i].getSize(), visibleEntries[i].isDirectory() ) %></font>
							</td>
							<td align="right">
								<font class="AF2"><%= df.format( new Date( visibleEntries[i].getLastModified() ) ) %></font>
							</td>
						</tr>
					<% }
					} else { %>
						<tr>
							<td height="80" align="center" valign="bottom" colspan="6">
								<font class="AF2">No results were found matching your search criteria!</font>
							</td>
						</tr>
				<%  } %>
				</table>
				<% if ( fileListerConfig.isAllowedToZip() ) { %>
				<input type="hidden" name="zipmode" value="">
				<% } %>
			</form>
		</center>
	</body>
</html>
<%
	} catch ( NullPointerException npe ) {
	    //if called illegally or after session timeout, redirect to application entry directory
		FileListerFactory.redirectToAppRoot( response );
	} catch ( FileListerException fle ) {
		FileListerFactory.handleFileListerException( response, fileListerConfig, fle );
	}
%>