package org.alltimeflashdreamer.filelister.xml;

import org.w3c.dom.Element;

/**
 * <p>
 *
 * Title: Zip</p> <p>
 *
 * Description: The class representing the "zip" tag in the config file.</p> <p>
 *
 * Organization: All Time Flash Dreamer</p> <p>
 *
 * </p>
 *
 * @author    Copyright (c) 2002-2004 by <a href="mailto:florian@steinsiepe.ch">Florian
 *      Steinsiepe</a>
 * @version   0.5.1
 */

public class Zip extends AbstractConfigElementList
{
    /**
     * Initializes the class based on the given element.
     *
     * @param element        the XML element named "zip"
     * @param bLoadDefaults  whether to load the default values or not
     */
    public Zip( Element element, boolean bLoadDefaults )
    {
        super( element, bLoadDefaults );
    }
}
